#
#ident  "@(#)isdntool_reset.tcl	1.9 95/10/09 SMI"
#
# Copyright (c) 1993 by Sun Microsystems, Inc.
#
# ISDN configuration tool

proc reset_option { } {
	global tmp0
	global tmp1
	global tmp2
	global tmp3
	global tmp4
	global tmp5
	global tmp6
	global tmp7
	global tmp8
	global tmp9
	global tmp10
	global tmp11
	global isdn0
	global isdn1
	global isdn2
	global isdn3
	global isdn4
	global isdn5
	global isdn6
	global isdn7
	global isdn8
	global isdn9
	global isdn10
	global isdn11
	global isdn_list
	global tmp_list
	global isdntool
	set type  [set ${tmp_list}(switch_type)]
	switch -exact $type {
       		"au1"   { $isdntool(network) pick 0 }
       		"vn6"   { $isdntool(network) pick 1 }
       		"tr6"   { $isdntool(network) pick 2 }
       		"ntt"   { $isdntool(network) pick 3 }
       		"bt2"   { $isdntool(network) pick 4 }
       		"dms"   { $isdntool(network) pick 5 }
       		"5ess"  { $isdntool(network) pick 6 }
       		"ni2"   { $isdntool(network) pick 7 }
       		"etsi"  { $isdntool(network) pick 8 }
       		"swd-etsi"  { $isdntool(network) pick 9 }
       		"hkt"  { $isdntool(network) pick 10 }
       		default { puts "network_type is missing"
               		  puts "isdntool is exiting...."
                  	  exit 1
                	}
	}
	set ${isdn_list}(cn1) [set ${tmp_list}(cn1)]
	set ${isdn_list}(cn2) [set ${tmp_list}(cn2)]
	set ${isdn_list}(sa1) [set ${tmp_list}(sa1)]
	set ${isdn_list}(sa2) [set ${tmp_list}(sa2)]
	foreach i {1 2 3 4 5 6 7 8} {
		set ${isdn_list}(la$i) [set ${tmp_list}(la$i)]
		set ${isdn_list}(lsa$i) [set ${tmp_list}(lsa$i)]
	}
	set ${isdn_list}(spid1) [set ${tmp_list}(spid1)]
	set ${isdn_list}(spid2) [set ${tmp_list}(spid2)]
	set ${isdn_list}(country) [set ${tmp_list}(country)]
	set ${isdn_list}(cf561) [set ${tmp_list}(cf561)]
	set ${isdn_list}(cf561) [set ${tmp_list}(cf561)]
	set ${isdn_list}(cli1) [set ${tmp_list}(cli1)]
	set ${isdn_list}(cli2) [set ${tmp_list}(cli2)]
	update idletask
} 
