#
#
# Copyright (c) 1993 by Sun Microsystems, Inc.
#
# ISDN configuration tool

#
#
#
#

#
# Err callback.
#

proc ErrInput  { }  {
        global textErrWin
        global errFileId
        if {[gets $errFileId line] < 0} {
		close $errFileId
		set line "\n\n\n.... PLEASE CHECK THIS OUTPUT FOR ERRORS IN \
	CONFIGURATION FILE(S) ...\n"
        }
	$textErrWin insert end "$line\n"
	$textErrWin yview -pickplace end
}

proc destroy_err {} {
	catch { destroy .isdn_err}
}

proc create_err { w  args } {

  	if { [winfo exists  $w] == 1 } {
		return
  	}

	toplevel $w
	wm title $w {isdnerr}
	wm geometry $w +250+250
	#wm positionfrom $w ""
	#wm sizefrom $w ""
	wm minsize $w 100 100
        wm iconname $w "err"
        wm iconbitmap $w @ppm/logo.bmp

	# create menu widgets(s)
 
	frame $w.menu -relief raised -borderwidth 1
	pack $w.menu -side top -fill x
 
 

	# create text widget

	text $w.textErr -relief raised -bd 2 -yscrollcommand "$w.scroll set" \
	-background indianRed1

	scrollbar $w.scroll -background indianRed1 -command "$w.textErr yview"
	pack $w.scroll -side right -fill y
	pack $w.textErr -side top -fill both -expand true

        frame $w.dismiss -bd 2  -relief raised
        pack $w.dismiss -side bottom -fill x -in $w
        button $w.dismiss.dismiss -text Dismiss -command { destroy_err } \
	-background indianRed1
        pack $w.dismiss.dismiss -in $w.dismiss -side bottom -fill x

	update idletasks

	set errfile "/var/adm/SUNWisdn/err"
	# errfile should be passed as an argument

	global textErrWin
	set textErrWin $w.textErr
	global errFileId
	set errFileId [ open /tmp/.tcl_parser_log]
	fileevent $errFileId readable ErrInput
	update idletasks

}

