#
#ident  "@(#)isdntool_start.tcl	1.11 96/02/12 SMI"
#
# Copyright (c) 1993 by Sun Microsystems, Inc.
#
# ISDN configuration tool

#
# Start callback.
#

proc create_start { w  args } {

  	if { [winfo exists  $w] == 1 } {
		return
  	}

	global textStartWin
	set textStartWin $w.textStart
	global startFileId

	set para_id [open "/opt/SUNWisdn/bin/paradigm"]
	gets $para_id paradigm

	if {$paradigm == "al4"} {

		set id [catch "exec /opt/SUNWisdn/bin/isdn start" startFileId]
	} 
		

	toplevel $w
	wm title $w {isdnstart}
	wm positionfrom $w ""
	wm iconname $w "start"
 	wm iconbitmap $w @ppm/logo.bmp

	# create text widget

	text $w.textStart -bd 2 -width 50 -height 3 \
		-font -Adobe-times-medium-r-normal--*-180* 
	if {$paradigm == "al4"} {
		set str [string range $startFileId 0 [string last "\n" $startFileId]]
		$textStartWin insert end $str
	} else {
		$textStartWin insert end "XL4 paradigm !!\n"
		$textStartWin insert end "isdn will be started by xtl server.\n"
	}
	pack $w.textStart -side top -fill both -expand true
	button $w.start_dismiss -text Dismiss -command "destroy $w"
	pack $w.start_dismiss -side bottom -fill x
	close $para_id
	update idletasks

}

