#
#ident  "@(#)isdntool_stop.tcl	1.11 96/02/12 SMI"
#
# Copyright (c) 1993 by Sun Microsystems, Inc.
#
# ISDN configuration tool
#
# Stop callback.
#

proc create_stop { w  args } {

  	if { [winfo exists  $w] == 1 } {
		return
  	}

	global textStopWin
	set textStopWin $w.textStop
	global stopFileId

	set para_id [open "/opt/SUNWisdn/bin/paradigm"]
	gets $para_id paradigm

		set stopFileId [ exec /opt/SUNWisdn/bin/isdn stop ]

	if { $stopFileId  != 0 } {
		toplevel $w
		wm title $w {isdnstop}
		wm positionfrom $w ""
		wm iconname $w "stop"
 		wm iconbitmap $w @ppm/logo.bmp

		# create text widget

		text $w.textStop -bd 2 -width 37 -height 3 \
			-font -Adobe-times-medium-r-normal--*-180* 
		if {$paradigm == "al4"} {
			if {[llength $stopFileId] == 0} {
				$textStopWin insert end "isdn.xnet has already stopped"
			} else {
				set str [string range $stopFileId 0 \
					[string last "\n" $stopFileId]]
				$textStopWin insert end $str
			}
		} else {
			$textStopWin insert end "XL4 paradigm!!\n"
			$textStopWin insert end "isdn process should be stopped by xtl server.\n"
		}
	
		pack $w.textStop -side top -fill both -expand true
		button $w.stop_dismiss -text Dismiss -command "destroy $w"
		pack $w.stop_dismiss -side bottom -fill x
	} else {
		destroy $w
	}
	update idletasks

}

